### Method

# Gtk Printer get_state_message

#### Declaration [src]

    const char*
    gtk_printer_get_state_message (
      GtkPrinter* printer
    )

#### Description [src]

Returns the state message describing the current state of the printer.

Gets property | `Gtk.Printer:state-message`

#### Return value

Returns: | `const char*`
| The state message of `printer`.
| The data is owned by the instance.
| The string is a NUL terminated UTF-8 string.